
body {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow: hidden;
}

header { 
    margin-right: 10px;
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 0;
    text-align: end;
    height: 10%;
}

.map-container {
    width: 100%;
    max-height: 97%;
}
.map-container iframe {
    width: 100%;
    height: 100%;
    border: none;
    max-height: 97%;
}


/* Estiliza o botão */
.btn-popup {
    position: fixed;
    top: 13px;
    left: 10px;
    padding: 0%;
    background-color: #ffffff;
    border: none;
    cursor: pointer;
    border-radius: 0px;
}

/* Estiliza o popup */
.popup {
    display: none; /* Começa oculto */
    position: fixed;
    max-width: 90%; /* Largura*/
    max-height: 80%; /* Altura*/
    overflow: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: white;
    padding: 20px;
    border-radius: 10px;
    text-align: center;
    z-index: 2000;
    
}


/* Estiliza o p do popup */
.popup p {
    text-align: justify;
    font-family: "Inter", sans-serif;
    font-size: 15px;
    font-weight: normal;
}


/* Ícone de fechar */
.close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 30px;
    cursor: pointer;
    color: #333;
}

/* Fundo escuro */
.popup-overlay {
    display: none; /* Começa oculto */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* Preto com transparência */
    z-index: 1999; /* Atrás do popup, mas na frente do conteúdo */
}

/* Tela de carregamento */
#loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Estiliza o p na tela de carregamento */
#loading p {
    margin-top: 150px; /* Ajuste para empurrar o texto para baixo */
    font-family: "Inter", sans-serif;
    font-size: 18px;
    font-weight: regular;
    color: #333;
}

/* Anima o ... */
.loading-text::after {
    content: ".";  
    animation: dots 1.5s infinite steps(3);
}

@keyframes dots {
    0% { content: "."; }
    33% { content: ".."; }
    66% { content: "..."; }
    100% { content: ""; }
}

/* Spinner circular */
.spinner {
    width: 80px;
    height: 80px;
    border: 5px solid transparent;
    border-top: 5px solid #2589bd; /* Apenas o topo gira */
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: spin 1s linear infinite;
    position: absolute;
}

/* Logo no centro */
.logo {
    height: 40px;
    position: absolute;
    transform: rotate(0deg);
    animation: none;
}

/* Animação do spinner */
@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

/* Saída da tela de carregamento */
.fade-out {
    opacity: 0;
    transition: opacity 0.5s ease-out;
}